STRCHR(3)

NAME
strchr, strrchr - locate character in string

SYNOPSIS
#include <string.h>

char *strchr(const char *s, int c);

char *strrchr(const char *s, int c);

DESCRIPTION
The strchr() function returns a pointer to the first occurrence of the character c in the string s.

The strrchr() function returns a pointer to the last occurrence of the character c in the string s.

RETURN VALUE
The strchr() and strrchr() functions return a pointer to the matched character or NULL if the character is not found.

CONFORMING TO
SVID 3, POSIX, BSD 4.3, ISO 9899

SEE ALSO
index(3), memchr(3), rindex(3), strpbrk(3), strsep(3), strspn(3), strstr(3), strtok(3)